#include once "window9.bi"

Function GetCountTabRebarGadget(ByVal gadget As Integer) As Integer Export
  Return SendMessage(GadgetID(gadget),RB_GETBANDCOUNT,0, 0)
End Function

Function GetHeightRebarGadget(ByVal gadget As Integer) As Integer Export
  Return SendMessage(GadgetID(gadget),RB_GETBARHEIGHT,0, 0)
End Function

Function GetTextRebarGadget(ByVal gadget As Integer, ByVal index As Integer) As String Export
  Dim As REBARBANDINFO rbBand
  Dim As String*226 hh
  rbBand.cbSize=sizeof(REBARBANDINFO)
  rbBand.fMask  = RBBIM_TEXT
  rbBand.lptext = Cast(LPTSTR,@hh)
  rbBand.cch=256
  SendMessage(GadgetID(gadget),RB_GETBANDINFO,cast(WPARAM,index),cast(LPARAM,@rbBand))
  Return hh
End Function
